# Interface TwinGeometryInfo<TMeshDescriptor, TStyle, TRegion>

interface TwinGeometryInfo<TMeshDescriptor, TStyle, TRegion> {
id: string;
model?: T8GIModelGeneric<TMeshDescriptor, TStyle, TRegion>;
version: number;
}

#### Type Parameters

- TMeshDescriptor
- TStyle
- TRegion

##### Index

### Properties

id
model?
version

## Properties

### id

id: string

### `Optional` model

model?: T8GIModelGeneric<TMeshDescriptor, TStyle, TRegion>

### version

version: number